
class ContestingSoftapplication < ActiveRecord::Base
  attr_accessible :contest_id, :description, :softapplication_id, :user_id
  
  belongs_to :contest
  belongs_to :softapplication
  belongs_to :user
  
  
  def self.create_softapplication_contesting(contest_id, softapplication_id, description = nil)
    self.create(:user_id => User.current.id, :contest_id => contest_id,
                    :softapplication_id => softapplication_id, :description => description)
  end  

end
